## WebKitDOMHTMLTableElement WebKitDOMHTMLTableElement |

## Functions

WebKitDOMHTMLElement * | webkit_dom_html_table_element_create_t_head ()
void | webkit_dom_html_table_element_delete_t_head ()
WebKitDOMHTMLElement * | webkit_dom_html_table_element_create_t_foot ()
void | webkit_dom_html_table_element_delete_t_foot ()
WebKitDOMHTMLElement * | webkit_dom_html_table_element_create_caption ()
void | webkit_dom_html_table_element_delete_caption ()
WebKitDOMHTMLElement * | webkit_dom_html_table_element_insert_row ()
void | webkit_dom_html_table_element_delete_row ()
WebKitDOMHTMLTableCaptionElement * | webkit_dom_html_table_element_get_caption ()
void | webkit_dom_html_table_element_set_caption ()
WebKitDOMHTMLTableSectionElement * | webkit_dom_html_table_element_get_t_head ()
void | webkit_dom_html_table_element_set_t_head ()
WebKitDOMHTMLTableSectionElement * | webkit_dom_html_table_element_get_t_foot ()
void | webkit_dom_html_table_element_set_t_foot ()
WebKitDOMHTMLCollection * | webkit_dom_html_table_element_get_rows ()
WebKitDOMHTMLCollection * | webkit_dom_html_table_element_get_t_bodies ()
gchar * | webkit_dom_html_table_element_get_align ()
void | webkit_dom_html_table_element_set_align ()
gchar * | webkit_dom_html_table_element_get_bg_color ()
void | webkit_dom_html_table_element_set_bg_color ()
gchar * | webkit_dom_html_table_element_get_border ()
void | webkit_dom_html_table_element_set_border ()
gchar * | webkit_dom_html_table_element_get_cell_padding ()
void | webkit_dom_html_table_element_set_cell_padding ()
gchar * | webkit_dom_html_table_element_get_cell_spacing ()
void | webkit_dom_html_table_element_set_cell_spacing ()
gchar * | webkit_dom_html_table_element_get_rules ()
void | webkit_dom_html_table_element_set_rules ()
gchar * | webkit_dom_html_table_element_get_summary ()
void | webkit_dom_html_table_element_set_summary ()
gchar * | webkit_dom_html_table_element_get_width ()
void | webkit_dom_html_table_element_set_width ()

## Properties

char * | align | Read / Write
char * | bg-color | Read / Write
char * | border | Read / Write
WebKitDOMHTMLTableCaptionElement * | caption | Read
char * | cell-padding | Read / Write
char * | cell-spacing | Read / Write
WebKitDOMHTMLCollection * | rows | Read
char * | rules | Read / Write
char * | summary | Read / Write
WebKitDOMHTMLCollection * | t-bodies | Read
WebKitDOMHTMLTableSectionElement * | t-foot | Read
WebKitDOMHTMLTableSectionElement * | t-head | Read
char * | width | Read / Write

## Types and Values

struct | WebKitDOMHTMLTableElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLTableElement

## Implemented Interfaces

WebKitDOMHTMLTableElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_table_element_create_t_head ()

    WebKitDOMHTMLElement *
    webkit_dom_html_table_element_create_t_head
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_create_t_head` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A WebKitDOMHTMLElement.

[transfer none]

### webkit_dom_html_table_element_delete_t_head ()

    void
    webkit_dom_html_table_element_delete_t_head
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_delete_t_head` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

### webkit_dom_html_table_element_create_t_foot ()

    WebKitDOMHTMLElement *
    webkit_dom_html_table_element_create_t_foot
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_create_t_foot` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A WebKitDOMHTMLElement.

[transfer none]

### webkit_dom_html_table_element_delete_t_foot ()

    void
    webkit_dom_html_table_element_delete_t_foot
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_delete_t_foot` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

### webkit_dom_html_table_element_create_caption ()

    WebKitDOMHTMLElement *
    webkit_dom_html_table_element_create_caption
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_create_caption` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A WebKitDOMHTMLElement.

[transfer none]

### webkit_dom_html_table_element_delete_caption ()

    void
    webkit_dom_html_table_element_delete_caption
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_delete_caption` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

### webkit_dom_html_table_element_insert_row ()

    WebKitDOMHTMLElement *
    webkit_dom_html_table_element_insert_row
                                   (WebKitDOMHTMLTableElement *self,
                                    glong index,
                                    GError **error);

`webkit_dom_html_table_element_insert_row` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
index | A glong |
error | GError |

#### Returns

A WebKitDOMHTMLElement.

[transfer none]

### webkit_dom_html_table_element_delete_row ()

    void
    webkit_dom_html_table_element_delete_row
                                   (WebKitDOMHTMLTableElement *self,
                                    glong index,
                                    GError **error);

`webkit_dom_html_table_element_delete_row` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
index | A glong |
error | GError |

### webkit_dom_html_table_element_get_caption ()

    WebKitDOMHTMLTableCaptionElement *
    webkit_dom_html_table_element_get_caption
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_caption` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A WebKitDOMHTMLTableCaptionElement.

[transfer none]

### webkit_dom_html_table_element_set_caption ()

    void
    webkit_dom_html_table_element_set_caption
                                   (WebKitDOMHTMLTableElement *self,
                                    WebKitDOMHTMLTableCaptionElement *value,
                                    GError **error);

`webkit_dom_html_table_element_set_caption` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
value | A WebKitDOMHTMLTableCaptionElement |
error | GError |

### webkit_dom_html_table_element_get_t_head ()

    WebKitDOMHTMLTableSectionElement *
    webkit_dom_html_table_element_get_t_head
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_t_head` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A WebKitDOMHTMLTableSectionElement.

[transfer none]

### webkit_dom_html_table_element_set_t_head ()

    void
    webkit_dom_html_table_element_set_t_head
                                   (WebKitDOMHTMLTableElement *self,
                                    WebKitDOMHTMLTableSectionElement *value,
                                    GError **error);

`webkit_dom_html_table_element_set_t_head` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
value | A WebKitDOMHTMLTableSectionElement |
error | GError |

### webkit_dom_html_table_element_get_t_foot ()

    WebKitDOMHTMLTableSectionElement *
    webkit_dom_html_table_element_get_t_foot
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_t_foot` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A WebKitDOMHTMLTableSectionElement.

[transfer none]

### webkit_dom_html_table_element_set_t_foot ()

    void
    webkit_dom_html_table_element_set_t_foot
                                   (WebKitDOMHTMLTableElement *self,
                                    WebKitDOMHTMLTableSectionElement *value,
                                    GError **error);

`webkit_dom_html_table_element_set_t_foot` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
value | A WebKitDOMHTMLTableSectionElement |
error | GError |

### webkit_dom_html_table_element_get_rows ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_table_element_get_rows
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_rows` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_html_table_element_get_t_bodies ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_table_element_get_t_bodies
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_t_bodies` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_html_table_element_get_align ()

    gchar *
    webkit_dom_html_table_element_get_align
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A gchar

### webkit_dom_html_table_element_set_align ()

    void
    webkit_dom_html_table_element_set_align
                                   (WebKitDOMHTMLTableElement *self,
                                    const gchar *value);

`webkit_dom_html_table_element_set_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
value | A gchar |

### webkit_dom_html_table_element_get_bg_color ()

    gchar *
    webkit_dom_html_table_element_get_bg_color
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_bg_color` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A gchar

### webkit_dom_html_table_element_set_bg_color ()

    void
    webkit_dom_html_table_element_set_bg_color
                                   (WebKitDOMHTMLTableElement *self,
                                    const gchar *value);

`webkit_dom_html_table_element_set_bg_color` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
value | A gchar |

### webkit_dom_html_table_element_get_border ()

    gchar *
    webkit_dom_html_table_element_get_border
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_border` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A gchar

### webkit_dom_html_table_element_set_border ()

    void
    webkit_dom_html_table_element_set_border
                                   (WebKitDOMHTMLTableElement *self,
                                    const gchar *value);

`webkit_dom_html_table_element_set_border` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
value | A gchar |

### webkit_dom_html_table_element_get_cell_padding ()

    gchar *
    webkit_dom_html_table_element_get_cell_padding
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_cell_padding` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A gchar

### webkit_dom_html_table_element_set_cell_padding ()

    void
    webkit_dom_html_table_element_set_cell_padding
                                   (WebKitDOMHTMLTableElement *self,
                                    const gchar *value);

`webkit_dom_html_table_element_set_cell_padding` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
value | A gchar |

### webkit_dom_html_table_element_get_cell_spacing ()

    gchar *
    webkit_dom_html_table_element_get_cell_spacing
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_cell_spacing` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A gchar

### webkit_dom_html_table_element_set_cell_spacing ()

    void
    webkit_dom_html_table_element_set_cell_spacing
                                   (WebKitDOMHTMLTableElement *self,
                                    const gchar *value);

`webkit_dom_html_table_element_set_cell_spacing` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
value | A gchar |

### webkit_dom_html_table_element_get_rules ()

    gchar *
    webkit_dom_html_table_element_get_rules
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_rules` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A gchar

### webkit_dom_html_table_element_set_rules ()

    void
    webkit_dom_html_table_element_set_rules
                                   (WebKitDOMHTMLTableElement *self,
                                    const gchar *value);

`webkit_dom_html_table_element_set_rules` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
value | A gchar |

### webkit_dom_html_table_element_get_summary ()

    gchar *
    webkit_dom_html_table_element_get_summary
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_summary` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A gchar

### webkit_dom_html_table_element_set_summary ()

    void
    webkit_dom_html_table_element_set_summary
                                   (WebKitDOMHTMLTableElement *self,
                                    const gchar *value);

`webkit_dom_html_table_element_set_summary` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
value | A gchar |

### webkit_dom_html_table_element_get_width ()

    gchar *
    webkit_dom_html_table_element_get_width
                                   (WebKitDOMHTMLTableElement *self);

`webkit_dom_html_table_element_get_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |

#### Returns

A gchar

### webkit_dom_html_table_element_set_width ()

    void
    webkit_dom_html_table_element_set_width
                                   (WebKitDOMHTMLTableElement *self,
                                    const gchar *value);

`webkit_dom_html_table_element_set_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLTableElement

    struct WebKitDOMHTMLTableElement;

## Property Details

### The `“align”` property

      “align”                    char *

read-write gchar* HTMLTableElement:align.

Owner: WebKitDOMHTMLTableElement

Flags: Read / Write

Default value: ""

### The `“bg-color”` property

      “bg-color”                 char *

read-write gchar* HTMLTableElement:bg-color.

Owner: WebKitDOMHTMLTableElement

Flags: Read / Write

Default value: ""

### The `“border”` property

      “border”                   char *

read-write gchar* HTMLTableElement:border.

Owner: WebKitDOMHTMLTableElement

Flags: Read / Write

Default value: ""

### The `“caption”` property

      “caption”                  WebKitDOMHTMLTableCaptionElement *

read-only WebKitDOMHTMLTableCaptionElement* HTMLTableElement:caption.

Owner: WebKitDOMHTMLTableElement

Flags: Read

### The `“cell-padding”` property

      “cell-padding”             char *

read-write gchar* HTMLTableElement:cell-padding.

Owner: WebKitDOMHTMLTableElement

Flags: Read / Write

Default value: ""

### The `“cell-spacing”` property

      “cell-spacing”             char *

read-write gchar* HTMLTableElement:cell-spacing.

Owner: WebKitDOMHTMLTableElement

Flags: Read / Write

Default value: ""

### The `“rows”` property

      “rows”                     WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLTableElement:rows.

Owner: WebKitDOMHTMLTableElement

Flags: Read

### The `“rules”` property

      “rules”                    char *

read-write gchar* HTMLTableElement:rules.

Owner: WebKitDOMHTMLTableElement

Flags: Read / Write

Default value: ""

### The `“summary”` property

      “summary”                  char *

read-write gchar* HTMLTableElement:summary.

Owner: WebKitDOMHTMLTableElement

Flags: Read / Write

Default value: ""

### The `“t-bodies”` property

      “t-bodies”                 WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLTableElement:t-bodies.

Owner: WebKitDOMHTMLTableElement

Flags: Read

### The `“t-foot”` property

      “t-foot”                   WebKitDOMHTMLTableSectionElement *

read-only WebKitDOMHTMLTableSectionElement* HTMLTableElement:t-foot.

Owner: WebKitDOMHTMLTableElement

Flags: Read

### The `“t-head”` property

      “t-head”                   WebKitDOMHTMLTableSectionElement *

read-only WebKitDOMHTMLTableSectionElement* HTMLTableElement:t-head.

Owner: WebKitDOMHTMLTableElement

Flags: Read

### The `“width”` property

      “width”                    char *

read-write gchar* HTMLTableElement:width.

Owner: WebKitDOMHTMLTableElement

Flags: Read / Write

Default value: ""